任务单 #20135

display doesn't show all received characters

开放日期: 2010-01-06 02:03 最后更新: 2011-02-27 22:22

报告人:
属主:
类型:
状态:
开启 [Owner assigned]
组件:
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

Hi developers of TeraTerm, if the received lines are about 200 characters or longer, the chacacters doesn't appear completely on screen but the log-file (if activated) is allways complete. This effect occurs after a few hundred lines only. Tested configurations: TeraTerm 4.4x to 4.64 with Windows2000, WinXP, Windows Vista best regards, Tobias

任务单历史 (3/12 Histories)

2010-01-06 02:03 Updated by: tester
  • New Ticket "display doesn't show all received characters" created
2010-01-06 02:05 Updated by: tester
  • Details Updated
2010-01-06 10:30 Updated by: (del#1144)
评论

I couldn't reproduce this issue. Could you please let us show the reproducing script?

  1. #!/bin/sh
  2. echo '1234567-10=234567-20=234567-30=234567-40=234567-50=234567-60=234567-70=234567-80=234567-90=23456-100=23456-110=23456-120=23456-130=23456-140=23456-150=23456-160=23456-170=23456-180=23456-190=23456-200=23456-210=23456-220=23456-230=23456-240=23456-250=23456-260=23456-270=23456-280=23456-290=23456-300'

Tera Term 4.64 r3715 / 80x24 xterm non-transparent(alphablend and eterm) scrollbuffer=10000 / on FreeBSD 7.2-p4 zsh non-screen

2010-01-08 19:46 Updated by: tester
评论

o.k. here is my reproducing script:

; sample macro of Tera Term to determine the reportet bug 8.01.2010 ; it sends cyclic 255 chrs in a line ; if your terminal window is smaller than 255 chrs, you can see all characters ; but if your terminal window is greater than 255 chrs (ex. 260 chrs) you can only see the first line, the following lines are invisible ; (last testet version 4.64 SVN# 3679 on vista32) ; tel = "1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 " strconcat tel "1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 " strconcat tel "1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 " ; :START sendln tel mpause 100 goto START end

2010-01-08 19:49 Updated by: tester
评论

sorry i've forgotten to format the block, here ist the code again:

; sample macro of Tera Term to determine the reportet bug 8.01.2010
; it sends cyclic 255 chrs in a line 
; if your terminal window is smaller than 255 chrs, you can see all characters
; but if your terminal window is greater than 255 chrs (ex. 260 chrs) you can only see the first line, the following lines are invisible
; (last testet version 4.64 SVN# 3679 on vista32)
tel =         "1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 "
strconcat tel "1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 "
strconcat tel "1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 1234.5 6789.0 "
;
:START
sendln tel  
mpause 100
goto START
end

i hope you can reproduce it

2010-01-08 22:15 Updated by: (del#1144)
  • Ticket Close date is changed to 2010-01-08 22:15
  • 状态 Update from 开启 to 关闭
  • 处理结果 Update from to Invalid
  • 类型 Update from Bugs to Support Request
评论

Hi,

The string variable of Tera Term Language is able to contain up to 255 characters.

Thanks,

2010-01-09 19:01 Updated by: tester
评论

Hi,

that's not the problem. The problem is, if your TerTerm window width is >255 characters per line, only the first line appears in the window. The following lines are invisible, as long as you decrease the window (for example to 180 characters), then you can see all the characters.

best regards

2010-06-01 00:27 Updated by: doda
  • 里程碑 Update from Tera Term 4.65 (deleted) to (无)
  • 状态 Update from 关闭 to 开启
  • 处理结果 Update from Invalid to Accepted
  • 类型 Update from Support Request to Bugs
2010-06-01 00:28 Updated by: doda
  • 属主 Update from (无) to doda
2010-12-17 13:38 Updated by: doda
评论

Could you check the latest snapshot that the issue was solved?

snapshot-20101217.zip

2011-01-28 01:29 Updated by: tester
评论

this issue isn't fixed check it with the following macro:

; sample macro of Tera Term ; ; description: write multiple lines with over 200 characters, ; the terminal window size is more than 200 characters, local echo is on ; environment: windows ; problem: only the first lin appears, but not complete ; date: 2011/1/26 ; :MAIN sendln "hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test, hello test" goto MAIN end

2011-02-27 22:22 Updated by: (del#1144)
评论

We can't reproduce this problem with your macro.

Attachment File List

No attachments

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名